Show / Hide Table of Contents

# AsyncEndDragTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncEndDragTrigger : AsyncTriggerBase<PointerEventData>, IUniTaskAsyncEnumerable<PointerEventData>, IEndDragHandler

##### Inheritance

System.Object → AsyncTriggerBase<PointerEventData> → AsyncEndDragTrigger

##### Implements

IUniTaskAsyncEnumerable<PointerEventData>
IEndDragHandler

### Members

#### Methods

Name | Description
--- | ---
GetOnEndDragAsyncHandler() |
GetOnEndDragAsyncHandler(CancellationToken) |
OnEndDragAsync() |
OnEndDragAsync(CancellationToken) |

### Methods

#### GetOnEndDragAsyncHandler()

    public IAsyncOnEndDragHandler GetOnEndDragAsyncHandler()

##### Returns

IAsyncOnEndDragHandler

#### GetOnEndDragAsyncHandler(CancellationToken)

    public IAsyncOnEndDragHandler GetOnEndDragAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

IAsyncOnEndDragHandler

#### OnEndDragAsync()

    public UniTask<PointerEventData> OnEndDragAsync()

##### Returns

UniTask<PointerEventData>

#### OnEndDragAsync(CancellationToken)

    public UniTask<PointerEventData> OnEndDragAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

UniTask<PointerEventData>

### Implements

IUniTaskAsyncEnumerable<T>
IEndDragHandler